package com.duben.microtribe.mvp.views

import com.duben.microtribe.mvp.model.BannerList
import com.duben.microtribe.mvp.model.UserBean
import com.duben.microtribe.mvp.model.VipBean
import com.duben.microtribe.mvp.model.WxPayParamBean

interface VipView : BaseView {
    fun getVipProductSuc(data: VipBean)
    fun getVipPayParamsSuc(payChannel:String,data: WxPayParamBean)
    fun queryVipOrderSuc(isPay:Boolean)
    fun getUserSuc(data: UserBean)

    fun ordersSuc(data: BannerList?)
}